
Figure - Bug #114664
【BSP】【EVT2】【FOTA】升级后，回滚失败
2022-12-16 22:41 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212140521

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1.中控环境搭建好

2.中控环境中有全量包

【测试步骤】

3.中控通过网线链接路由，路由通过网线或者wifi 链接DUT

4.中控IP：192.168.0.2 ，DUT-IP：192.168.0.18

5.进入终端，cd ~/server/目录，并运行命令

sudo ./run_https.sh

sudo ./run_orch.sh

adb shell logcat > logcat-screnen-not_black.txt

6.待功能启动

7.选择功能2（Download PACKAGE）

输入"2"->按"回车" ->输入 "1"->输入"update.zip" 

8.等待下载完成并选择运行功能0（run script ）

输入 "0"-> 按"回车"->等待log中有提示下载完成(download succesful)->“adb reboot " 

9.等待升级完成后，运行功能1(Rollback) 

输入 “1 ” ->按“回车”-->等待提示"rollback done 100% ,done" ->"adb reboot"

【期望结果】

9.回滚成功

【实际结果】

4.回滚失败

Related issues:

Copied from Figure - Bug # 114663: 【BSP】【EVT2】【FOTA】副屏接收包... CLOSED 2022-12-16

History

#1 - 2022-12-22 10:51 - CD BSP 叶鹏 

- Status changed from New to NEED_INFO

- Assignee changed from CD BSP 叶鹏  to BPD-TMBG 刘勇

操作方式存在错误：

升级成功在重启之前是不会切换slot的，需要升级成功且重启设备之后，才能执行回滚的操作：

在升级之前检查slot；
在升级成功且重启设备之后，需要查看切换之后的slot

然后执行回滚命令之后，需要重启设备，设备重启之后再次检查回滚之后的slot

#2 - 2022-12-22 17:25 - CDTS-TEST 周婷

- Assignee changed from BPD-TMBG 刘勇 to CDTS_TEST 刘勇

#3 - 2022-12-27 22:55 - CDTS_TEST 刘勇

测试人员操作失误，需要重启升级成功后回滚，关闭此单

#4 - 2022-12-30 10:38 - CDTS_TEST 刘勇

- Status changed from NEED_INFO to RESOLVED

#5 - 2022-12-30 10:38 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#6 - 2022-12-30 10:38 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

Files

logcat-boxes-fota-dut_screen_not_poweroff.txt 3.38 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut_rollback_fail.txt 2.23 MB 2022-12-16 CDTS_TEST 刘勇
